/*
* @Author: Rot
* @Date:   2017-10-22 14:55:24
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-22 13:57:40
*/
main {
    padding-top: 32px;
}
 .flex-content {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: flex-start;
}
.flex-mode {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
}
.absolute-full { position: absolute; top: 0; left: 0; bottom: 0; right: 0; }
.article-info h4 { font-size: 18px; }
.article-description {
    line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-top: 8px;
    color: var(--ge-primary-text-color);
}
.article-title {
    line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
ge-article {
    float: left;
    margin-bottom: 24px;
}

ge-image {
    position: relative;
    overflow: hidden;
}

/*.article-info {padding-bottom: 16px;}
.view-mode-z .article-info {     
    padding-left: 20px; 
}

.view-mode-o .article-info {     
    padding-top: 16px;
}



.view-mode-o .height-mode-z {
    height: 146px; 
    -webkit-line-clamp: 7;
}

.view-mode-o .height-mode-th {
    height: 86px;
    -webkit-line-clamp: 4 !important;
}

.ge-home-top {
    margin: 0 auto;
    margin-top: 32px;
}

/**
New Option
**/

.ge-real {
    height: 170px;
}

.article-info {
    padding-left: 20px;
    padding-top: 12px;
    padding-right: 20px;
    height: 225.98px;
}

.article-description {
    height: 110px;
    -webkit-line-clamp: 5;
}

ge-article {
    width: 99.99999%;
}

@media (min-width: 768px) and (max-width: 1075px)
{
    ge-article {
        width: 49.99999%;
    }

    .article-info {
        height: 195.98px;
    }

    .article-description {
        height: 67px;
        -webkit-line-clamp: 3;
    }
}
@media (min-width: 1076px) 
{
    .view-mode-z .article-info {
        height: 298.98px;
    }

    .view-mode-z ge-image {
        width: 48.99999%;
        float: left;
    }

    .view-mode-z ge-content {
        width: 50.99999%;
        float: left;
    }

    section ge-user {
        padding-bottom: 8px;
    }

    .view-mode-o ge-article {
        width: 33.33333%;
        padding-right: 24px;
    }

    .view-mode-z .ge-real {
        height: 298.98px;
    }

    .view-mode-o .ge-real {
        height: 280px;
    }

    .view-mode-o .article-info {
        padding-left: 0;
        padding-right: 0;
    }

    .view-mode-o .article-info {
        height: 264px;
    }

    .view-mode-o ge-article:nth-of-type(4), .view-mode-o ge-article:nth-of-type(6), .view-mode-o ge-article:nth-of-type(10) {
        padding-right: 0;
    }

    .view-mode-o ge-article:nth-of-type(7), .view-mode-o ge-article:nth-of-type(11) {
        padding-left: 0;
    }

    .view-mode-o ge-article:nth-of-type(3) .ge-bk-img.ge-real, .view-mode-o ge-article:nth-of-type(4) .ge-bk-img.ge-real, 
    .view-mode-o ge-article:nth-of-type(5) .ge-bk-img.ge-real, .view-mode-o ge-article:nth-of-type(6) .ge-bk-img.ge-real {
        height: 100px;
    }

    .view-mode-o ge-article:nth-of-type(3) .article-info, .view-mode-o ge-article:nth-of-type(4) .article-info, 
    .view-mode-o ge-article:nth-of-type(5) .article-info, .view-mode-o ge-article:nth-of-type(6) .article-info {
        height: 160px;
    }

    .view-mode-o ge-article:nth-of-type(1) .height-mode-th, .view-mode-o ge-article:nth-of-type(2) .height-mode-th {
        height: 86px;
        -webkit-line-clamp: 4 !important;
    }
    .view-mode-o ge-article:nth-of-type(3) .height-mode-z, .view-mode-o ge-article:nth-of-type(4) .height-mode-z, 
    .view-mode-o ge-article:nth-of-type(5) .height-mode-z, .view-mode-o ge-article:nth-of-type(6) .height-mode-z { 
        height: 49px; 
        -webkit-line-clamp: 2;
    }

    .view-mode-o ge-article:nth-of-type(3) .height-mode-th, .view-mode-o ge-article:nth-of-type(4) .height-mode-th, 
    .view-mode-o ge-article:nth-of-type(5) .height-mode-th, .view-mode-o ge-article:nth-of-type(6) .height-mode-th { 
        height: 28px; 
        -webkit-line-clamp: 1 !important;
    }

    .view-mode-o ge-article:nth-of-type(3) .article-title, .view-mode-o ge-article:nth-of-type(4) .article-title, 
    .view-mode-o ge-article:nth-of-type(5) .article-title, .view-mode-o ge-article:nth-of-type(6) .article-title {
        display: block;
        max-height: 48px; 
        overflow: hidden;
        text-overflow: ellipsis;
    }
}
@media (min-width: 1076px) and (max-width: 1719px)
{
    ge-article {
        width: 49.99999%;
    }

    .view-mode-z ge-article:nth-child(2n -1) {
        padding-right: 24px;
    }

    .view-mode-z .article-info {
        padding-right: 0;
    }

    section .article-info .article-description {
        height: 127px;
        -webkit-line-clamp: 6;
    }


    .view-mode-o ge-article:nth-child(2), .view-mode-o ge-article:nth-child(7) {
        display: none;
    }

}

/*@media (min-width: 1078px) and (max-width: 1720px)
{
    
    .view-mode-z ge-article {
        width: 49.99999%;
    }

    .view-mode-z ge-article:nth-child(2n - 1) {
        padding-right: 24px;
    }

    .view-mode-o ge-article {
        padding-right: 24px;
    }

    .view-mode-o ge-article:nth-child(2), .view-mode-o ge-article:nth-child(7) {
        display: none;
    }

    .view-mode-o ge-article {
        width: 33.33333%;
    }
    .view-mode-z .article-title {
        max-height: 72px;
        overflow: hidden;
        display: block;
    }

    .view-mode-z .article-info {
        height: 298.98px;
    }

    .view-mode-z .height-mode-th {
        height: 107px;
        -webkit-line-clamp: 5 !important;
    }
    .view-mode-z .height-mode-z { 
        height: 146px; 
        -webkit-line-clamp: 7;
    }

    
}*/

@media (min-width: 1720px)
{
    .view-mode-o ge-article {
        padding-left: 12px;
        padding-right: 12px;
    }

    ge-article:first-child {
        padding-left: 0;
    }
    ge-article:last-child { 
        padding-right: 0;
    }

    .view-mode-z ge-article:nth-of-type(3) {
        padding-right: 0
    }
    .view-mode-z ge-article:nth-of-type(4) {
        padding-left: 0
    }
    .view-mode-z ge-article {
        width: 33.33333%;
    }

    .view-mode-o ge-article {
        width: 24.99999%;
    }


}

.ge-scale {
	display: block;
}
.ge-text {
    color: var(--ge-primary-text-color);
    fill: var(--ge-primary-text-color);
}
.ge-show-more {
    text-transform: uppercase;
    font-size: 12.5px; 
}

.ge-imore {
    position: relative; top: 4.2px;
}
.ge-rcmd { padding-left: 8px; font-size: 12.9px; color: rgba(0,0,0,.44); }
.ge-ntp {
    font-weight: 600;
    font-family: "Segoe UI";
    font-size: 18px;
    padding-bottom: 16px;
    display: inline-block;
    border-bottom: 1px solid #1B95E0;
    position: relative;
    top: 1px;
}


.ge-seperate { border-bottom: 1px solid #e6ecf0; margin-bottom: 24px; }
/* Image */

section {
    margin-bottom: 24px;
}